Deletes an AI agent permanently. This action cannot be undone. All associated configurations and conversation history will be removed.

http
DELETE https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
agentIdstringYesEmployeeId123Conversations AI agent id

Responses

200 - Successful response
  • success (boolean, required): Indicates if the agent was deleted successfully. Example: True

  • id (string, required): Unique identifier of the deleted agent. Example: emp_123

json
{
  "success": true,
  "id": "emp_123"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?